QXmppDialback Class Reference
Stanzas

The QXmppDialback class represents a stanza used for the Server Dialback protocol as specified by XEP-0220: Server Dialback. More...

`#include <QXmppDialback.h>`

Inheritance diagram for QXmppDialback:

List of all members.

## Public Types

enum | Command { Result, Verify }
| This enum is used to describe a dialback command. More...

## Public Member Functions

| QXmppDialback ()
| Constructs a QXmppDialback.
Command | command () const
| Returns the dialback command.
void | setCommand (Command command)
QString | key () const
| Returns the dialback key.
void | setKey (const QString &key)
QString | type () const
| Returns the dialback type.
void | setType (const QString &type)

## Detailed Description

The QXmppDialback class represents a stanza used for the Server Dialback protocol as specified by XEP-0220: Server Dialback.

## Member Enumeration Documentation

enum QXmppDialback::Command

This enum is used to describe a dialback command.

Enumerator:

  Result | A dialback command between the originating server and the receiving server.
  Verify | A dialback command between the receiving server and the authoritative server.

## Member Function Documentation

void QXmppDialback::setCommand | ( | QXmppDialback::Command | command | ) |

Sets the dialback command.

Parameters:

  command |

void QXmppDialback::setKey | ( | const QString & | key | ) |

Sets the dialback key.

Parameters:

  key |

void QXmppDialback::setType | ( | const QString & | type | ) |

Sets the dialback type.

Parameters:

  type |

The documentation for this class was generated from the following files:

- QXmppDialback.h
- QXmppDialback.cpp

All Classes Functions Enumerations Enumerator Properties